Wayland Library Init and Shutdown Functions
Ecore » Ecore_Wayland - Wayland integration

Functions that start and shutdown the Ecore Wayland Library. More...

## Functions

EAPI int | ecore_wl_init (const char *name)
| Initializes the Wayland display connection to the given display.
EAPI int | ecore_wl_shutdown (void)
| Shuts down the Ecore Wayland Library.

## Detailed Description

Functions that start and shutdown the Ecore Wayland Library.

## Function Documentation

## ecore_wl_init()

EAPI int ecore_wl_init | ( | const char * | name | ) |

Initializes the Wayland display connection to the given display.

Parameters

  name | Display target name. if `NULL`, the default display is assumed.

Returns
  The number of times the library has been initialized without being shut down. `0` is returned if an error occurs.

References ecore_event_init(), ecore_event_shutdown(), ecore_event_type_new(), ECORE_FD_ERROR, ECORE_FD_READ, ECORE_FD_WRITE, ecore_idle_enterer_add(), ecore_init(), ecore_main_fd_handler_add(), ecore_shutdown(), ECORE_WL_EVENT_DATA_SOURCE_CANCELLED, ECORE_WL_EVENT_DATA_SOURCE_SEND, ECORE_WL_EVENT_DATA_SOURCE_TARGET, ECORE_WL_EVENT_DND_END, ECORE_WL_EVENT_INTERFACES_BOUND, ECORE_WL_EVENT_SELECTION_DATA_READY, EINA_FALSE, eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, eina_shutdown(), EINA_TRUE, and ERR.

## ecore_wl_shutdown()

EAPI int ecore_wl_shutdown | ( | void |  | ) |

Shuts down the Ecore Wayland Library.

In shutting down the library, the Wayland display connection is terminated and any event handlers for it are removed.

Returns
  The number of times the library has been initialized without being shut down.

References EINA_TRUE.